import { ModuleOptions } from './types';
export declare function Module(pOptions: ModuleOptions | string): <T extends new (...args: any[]) => {}>(target: T) => any;
export declare function State<T>(): (target: T, propertyName: string) => void;
export declare function Mutation<T>(): (target: T, propertyName: string, descriptor: TypedPropertyDescriptor<(payload?: any) => void>) => void;
export declare function Action<T>(): (target: T, propertyName: string, descriptor: TypedPropertyDescriptor<(payload?: any) => Promise<any>>) => void;
